package LeonMP3Encoder.Affichage;
import javax.swing.table.DefaultTableModel;
import java.util.Vector;
import java.awt.Color;


public class NotEditableCellTableModel extends DefaultTableModel
{

	private Color colorForeground;

	public NotEditableCellTableModel () 
	{   
		super ();
	}

	public NotEditableCellTableModel (int numRows, int numColumns) 
	{   
		super (numRows, numColumns);
	}

	public NotEditableCellTableModel (Vector columnNames, int numRows) 
	{   
		super (columnNames, numRows);
	}

	public NotEditableCellTableModel (Object[] columnNames, int numRows) 
	{   
		super (columnNames, numRows);
	}

	public NotEditableCellTableModel (Vector data, Vector columnNames) 
	{   
		super (data, columnNames);
	}

	public NotEditableCellTableModel (Object[][] data, Object[] columnNames) 
	{   
		super (data, columnNames);
	}
	
	public void setColorsSel( Color col)
	{
		this.colorForeground = col;
	}	
	
	// surcharge de la methode afin de revoyer false a toutes les cellules 
	// marque comme non editable 
	public boolean isCellEditable (int row, int column)
	{   
		return ( false );
	} 
}