package LeonMP3Encoder.ComposantsGraphiques;

import LeonMP3Encoder.Affichage.*;
import LeonMP3Encoder.Interface.Evenements;

import javax.swing.*;

public class listeJPanel
{
	private tableauListe ListeMP3;
	
	public listeJPanel()
	{
		ListeMP3 = new tableauListe(new String [] {Evenements.FileList,Evenements.PathList,Evenements.PathList});
		ListeMP3.tableau.setDragEnabled(true);
	}
	
	public JTable get()
	{
		return ListeMP3.tableau;
	}
	
	public void add( String [] liste)
	{
		for( String i: liste)
			add(i);
	}
	
	public void add( String file )
	{
		ListeMP3.model.addRow( new String [] { file.substring(  file.lastIndexOf('\\')+1, file.lastIndexOf('.')), file.substring(0,file.lastIndexOf('\\')), file.substring(file.lastIndexOf('.')+1,file.length()) } );
	}
	
	public int getRowCount()
	{
		return ListeMP3.model.getRowCount();
	}
	
	public void removeSelected()
	{
		while(ListeMP3.tableau.getSelectedRowCount() > 0)
			ListeMP3.model.removeRow(ListeMP3.tableau.getSelectedRow());
	}	
	
	public String [] getListeFichier()
	{
		int taille = ListeMP3.model.getRowCount();
		String [] res = new String[taille];
		for(int i = taille-1; i >=0 ; i--) 
			res[i] = (String)ListeMP3.model.getValueAt(i,0);	

		return res;
	}
	
	public String [] getListeChemin()
	{
		int taille = ListeMP3.model.getRowCount();
		String [] res = new String[taille];
		for(int i = taille-1; i >=0 ; i--) 
			res[i] = (String)ListeMP3.model.getValueAt(i,1);	

		return res;
	}
	
	public String [] getListeType()
	{
		int taille = ListeMP3.model.getRowCount();
		String [] res = new String[taille];
		for(int i = taille-1; i >=0 ; i--) 
			res[i] = (String)ListeMP3.model.getValueAt(i,2);	

		return res;
	}
	
	public void clear()
	{
		int taille = ListeMP3.model.getRowCount();
		for(int i = taille-1; i >=0 ; i--) 
			ListeMP3.model.removeRow(i);
	}
}