package LeonMP3Encoder.Interface;

import javax.swing.*;
import java.io.*;

public class Evenements
{
	/* CHEMINS DE TRAVAIL*/
	public static String url = "..\\..\\..\\OutPut";
	public static String path ="";
	
	/* PROG */
	public static String SoftName = "LeonMP3Encoder";
	public static String SoftVersion = "v 1.0";
	
	/* LABELS MENUS */
	public static String FileSubString = "Fichier";
	public static String ActionSubString = "Action";
	public static String HelpSubString = "Aide";	
	
	public static String AddString = "Ajouter";
	public static String RemoveString = "Retirer";
	public static String ClearString = "Vider";
	public static String ExitString = "Quitter";
	public static String CompressString = "Compresser";
	public static String UncompressString = "Decompresser";
	public static String HelpString = "Aide";
	public static String AboutString = "A propos";
	
	/* MENUS */
	public static String HelpTitle = "Aide de "+Evenements.SoftName;	
	public static String HelpMenu = "<html>Pour consulter l'aide, rendez vous a : <u>Help/index.html</u></html>";
	
	public static String AboutTitle = "A propos de "+Evenements.SoftName;		
	public static String  AboutMenu =	"<html>" +
										"<center><i><b><h1>"+Evenements.SoftName+"</h1></b></i></center><br>" +
										"<ul>" +
										"<li><b>Ralis par : Jrme Baudoux</b>" +
										"<li>version : "+Evenements.SoftVersion +
										"<li>Date : Fv. 2007" +
										"<li>Language : Java 5.0" +
										"</ul><br><br>" +
										"<p>Site Web : http://www.jerome-baudoux.com</p><br><br>" +
										"<p>"+Evenements.SoftName+" utilise JavaExe de DevWizard</p>" +
										"<p>"+Evenements.SoftName+" utilise Lame</p>";
	
	/* LISTE */
	public static String FileList = "Fichier";
	public static String TypeList = "Type";	
	public static String PathList = "Chemin";

	/* OPTIONS */
	public static String BrowseOption = "Parcourir";
	public static String ModeOption1 = "Stereo";	
	public static String ModeOption2 = "Mono";
	public static String EncodOption1 = "Lent";
	public static String EncodOption2 = "Normal";	
	public static String EncodOption3 = "Rapide";	
	public static String OptionsOption = "Options";
	public static String KbsOption = "Dbit(kb/s)";	
	public static String ModeOption = "Mode";
	public static String EncodOption = "Encodage";
	public static String PathOption = "Chemin";	
	public static String LabelOption = "Prfixe";
	
	/* ENCODER */
	public static String FileCompressOnEncoder = "Fichier(s) compress(s) sur";
	public static String InProgressEncoder = "Encodage en cours";
	public static String EndProgressEncoder = "Encodage termin";


	/**
	 * Renvoie l'url de travail
	 * @return url de travail
	 */
	public static String getUrl()
	{
		return url;
	}
	
	/**
	 * Modifie l'url de travail
	 * @param ch url de travail
	 */
	public static void setUrl(String ch)
	{
		url = ch;
	}

	/**
	 * Renvoie l'url de travail
	 * @return url de travail
	 */
	public static String getPath()
	{
		return path;
	}
	
	/**
	 * Modifie l'url de travail
	 * @param ch url de travail
	 */
	public static void setPath(String ch)
	{
		path = ch;
		url = ch + url;
	}	
	
	/**
	 * lance un chooseDir
	 * @return url choisie
	 */
	public static String chooseDir()
	{
		JFileChooser choix = new JFileChooser(url);
		choix.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);

		if (choix.showOpenDialog(null) == JFileChooser.APPROVE_OPTION)
		{
			String ch=choix.getSelectedFile().getAbsolutePath();
			setUrl(ch);
			return ch;
		}	
		
		return Evenements.url;
	}
	
	/**
	 * Lance un chooseFile
	 * @return urls choisies
	 */
	public static String[] chooseFiles()
	{
		JFileChooser choix = new JFileChooser(url);
		choix.setMultiSelectionEnabled(true) ;
		if (choix.showOpenDialog(null) == JFileChooser.APPROVE_OPTION)
		{
			File [] fs = choix.getSelectedFiles();
			String [] ch = new String[fs.length];
			for( int i = 0; i<fs.length; i++)
				ch[i] = fs[i].getAbsolutePath(); 
				
			setUrl(ch[0].substring(0,ch[0].lastIndexOf('\\')));
			return ch;
		}	
		
		String[] res={};
		return res;
	}		
}